Name:          properties-maven-plugin
Version:       1.0.0
Release:       7
Summary:       Properties Maven Plugin
License:       ASL 2.0
URL:           http://www.mojohaus.org/properties-maven-plugin/
Source0:       https://github.com/mojohaus/properties-maven-plugin/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin) mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-metadata) mvn(org.codehaus.plexus:plexus-utils)

BuildArch:     noarch

%description
The Properties Maven Plugin is here to make life a little easier when dealing
with properties. It provides goals to read properties from files and URLs and
write properties to files, and also to set system properties.

%package help
Summary:       Help package for properties-maven-plugin
Provides:      %{name}-javadoc = %{version}-%{release}
Obsoletes:     %{name}-javadoc < %{version}-%{release}

%description help
This package contains API documentation for properties-maven-plugin.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

%pom_xpath_set pom:properties/pom:maven.api.version 3.0.3
%pom_change_dep :maven-project :maven-core:'${maven.api.version}'
%pom_remove_plugin :plexus-maven-plugin
%pom_add_plugin org.codehaus.plexus:plexus-component-metadata:1.5.5 . '
<executions>
 <execution>
  <goals>
   <goal>generate-metadata</goal>
  </goals>
 </execution>
</executions>'

%mvn_file :%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md LICENSE.txt

%files help -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Feb 20 2020 lingsheng <lingsheng@huawei.com> - 1.0.0-7
- Package init
